Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 609994 - [RHEL5] Though function write() executed sucessful, sadc end with an error.
Summary: [RHEL5] Though function write() executed sucessful, sadc end with an error.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat
Version: 5.2
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 454617
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-01 11:46 UTC by RHEL Product and Program Management
Modified: 2010-11-22 23:38 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Though function write() executed successful, the return value wasn't equal to the supposed write size. So, p_write_error() ran and the following message appeared: "Cannot write data to system activity file: Success". In this updated package, the sadc utility successfully writes the remaining input, thus resolving this issue.
Clone Of:
Environment:
Last Closed: 2010-07-22 11:43:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0552 normal SHIPPED_LIVE sysstat bug fix and enhancement update 2010-07-22 11:42:34 UTC

Description RHEL Product and Program Management 2010-07-01 11:46:09 UTC
This bug has been copied from bug #454617 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 5 Florian Nadge 2010-07-20 14:51:08 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Though function write() executed successful, the return value wasn't equal to the supposed write size. So, p_write_error() ran and the following message appeared: "Cannot write data to system activity file: Success". In this updated package, the sadc utility successfully writes the remaining input, thus resolving this issue.

Comment 7 errata-xmlrpc 2010-07-22 11:43:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0552.html


Note You need to log in before you can comment on or make changes to this bug.